Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class ICCColor

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.svg.ICCColor

All Implemented Interfaces:
  Value

    public class ICCColor

extends AbstractValue

This class represents an ICC color value.

Field Summary
`protected String` | `colorProfile` The color profile.
`protected float[]` | `colors` The colors.
`protected int` | `count` The color count.

Constructor Summary
`ICCColor(String name)` Creates a new ICCColor.

Method Summary
`void` | `append(float c)` Appends a color to the list.
`float` | `getColor(int i)` Returns the color at the given index.
`String` | `getColorProfile()` Returns the color name.
`String` | `getCssText()` A string representation of the current value.
`short` | `getCssValueType()` Implements `Value.getCssValueType()`.
`int` | `getNumberOfColors()` Returns the number of colors.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRed, getRight, getSeparator, getStringValue, getTop, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorProfile

    protected String colorProfile

  The color profile.

### count

    protected int count

  The color count.

### colors

    protected float[] colors

  The colors.

Constructor Detail

### ICCColor

    public ICCColor(String name)

  Creates a new ICCColor.

Method Detail

### getCssValueType

    public short getCssValueType()

  Implements `Value.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `Value`
  Overrides:
    `getCssValueType` in class `AbstractValue`

### getColorProfile

    public String getColorProfile()
                           throws DOMException

  Returns the color name.

  Throws:
    `DOMException`

### getNumberOfColors

    public int getNumberOfColors()
                          throws DOMException

  Returns the number of colors.

  Throws:
    `DOMException`

### getColor

    public float getColor(int i)
                   throws DOMException

  Returns the color at the given index.

  Throws:
    `DOMException`

### getCssText

    public String getCssText()

  A string representation of the current value.

### append

    public void append(float c)

  Appends a color to the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.